## org.apache.batik.ext.awt.image.spi
Interface ErrorConstants

All Known Implementing Classes:
  AbstractRegistryEntry, ImageTagRegistry

public interface ErrorConstants

The built in error codes.

Field Summary
`static java.lang.String` `ERR_STREAM_FORMAT_UNREADABLE` The error code when a url of a particular format is unreadable (corrupt).
`static java.lang.String` `ERR_STREAM_UNREADABLE` The error code when a stream is unreadable (corrupt or unsupported).
`static java.lang.String` `ERR_URL_FORMAT_UNREADABLE` The error code when a url of a particular format is unreadable (corrupt).
`static java.lang.String` `ERR_URL_UNINTERPRETABLE` The error code when the data in the url is uninterpretable by this software (meaning it's corrupt or an unsupported format of some sort).
`static java.lang.String` `ERR_URL_UNREACHABLE` The error code when a url is unreachable (ussually bad URL, or server is down).
`static java.lang.String` `RESOURCES` The error messages bundle class name.

Field Detail

### RESOURCES

    public static final java.lang.String RESOURCES

  The error messages bundle class name.

  See Also:
    Constant Field Values

### ERR_STREAM_UNREADABLE

    public static final java.lang.String ERR_STREAM_UNREADABLE

  The error code when a stream is unreadable (corrupt or unsupported).

  See Also:
    Constant Field Values

### ERR_STREAM_FORMAT_UNREADABLE

    public static final java.lang.String ERR_STREAM_FORMAT_UNREADABLE

  The error code when a url of a particular format is unreadable (corrupt). {0} = the format that couldn't be read.

  See Also:
    Constant Field Values

### ERR_URL_UNINTERPRETABLE

    public static final java.lang.String ERR_URL_UNINTERPRETABLE

  The error code when the data in the url is uninterpretable by this software (meaning it's corrupt or an unsupported format of some sort). {0} = the ParsedURL that couldn't be read.

  See Also:
    Constant Field Values

### ERR_URL_UNREACHABLE

    public static final java.lang.String ERR_URL_UNREACHABLE

  The error code when a url is unreachable (ussually bad URL, or server is down). {0} = the ParsedURL that couldn't be read.

  See Also:
    Constant Field Values

### ERR_URL_FORMAT_UNREADABLE

    public static final java.lang.String ERR_URL_FORMAT_UNREADABLE

  The error code when a url of a particular format is unreadable (corrupt). {0} = the format that couldn't be read. {1} = the ParsedURL for file.

  See Also:
    Constant Field Values

Copyright © 2004 Apache Software Foundation. All Rights Reserved.